"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserialize = deserialize;
const registry_1 = require("../registry");
function deserialize(deserializer, into, registry = registry_1.GlobalRegistry) {
    const de = registry.deserializers.get(into);
    if (de == null) {
        throw new ReferenceError(`No deserializer for ${into.name}`);
    }
    else {
        return de(deserializer);
    }
}
